MongoDB\BSON\Serializable::bsonSerialize
MongoDB\BSON\Unserializable::bsonUnserialize
MongoDB\Driver\BSON
PHP Manual

# The MongoDB\BSON\Unserializable interface

(mongodb >=1.0.0)

## Introduction

Classes that implement this interface may be specified in a type map for unserializing BSON arrays and documents (both root and embedded).

## Class synopsis

MongoDB\BSON\Unserializable {
/* Methods */
abstract public void bsonUnserialize ( array `$data` )
}

## Table of Contents

- MongoDB\BSON\Unserializable::bsonUnserialize — Constructs the object from a BSON array or document

MongoDB\BSON\Serializable::bsonSerialize
MongoDB\BSON\Unserializable::bsonUnserialize
MongoDB\Driver\BSON
PHP Manual